0.9.9 API documenation

- Main Page
- Modules
- Files

Functions
GLM_GTX_closest_point
GTX Extensions (Experimental)

Find the point on a straight line which is the closet of a point. More...

## Functions
template<typename T , qualifier P>
GLM_FUNC_DECL vec< 3, T, P > | closestPointOnLine (vec< 3, T, P > const &point, vec< 3, T, P > const &a, vec< 3, T, P > const &b)
| Find the point on a straight line which is the closet of a point. More...
template<typename T , qualifier P>
GLM_FUNC_DECL vec< 2, T, P > | closestPointOnLine (vec< 2, T, P > const &point, vec< 2, T, P > const &a, vec< 2, T, P > const &b)
| 2d lines work as well

## Detailed Description

Find the point on a straight line which is the closet of a point.

<glm/gtx/closest_point.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_DECL vec<3, T, P> glm::closestPointOnLine | ( | vec< 3, T, P > const & | point,
|  | vec< 3, T, P > const & | a,
|  | vec< 3, T, P > const & | b
| ) |  |

Find the point on a straight line which is the closet of a point.

See also
  GLM_GTX_closest_point